
Summary: Password Security Application
Name: bitwarden
Version: 2024.4.1
Release: %mkrel 1
License: GPL
Group: Security
URL: https://bitwarden.com/
Source0: bitwarden.desktop
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires: binutils xz tar
AutoReqProv: no

%description
Open source, cross platform password manager that sync passwords
but also allows accessing passwords offline.

Menu Entry is located in File Tools

%prep
%setup -T -n %{name} -c

%build

%install
rm -rf %buildroot
mkdir %buildroot

%define deb_package Bitwarden-%{version}-amd64.deb

cd $RPM_SOURCE_DIR
wget -nc https://github.com/bitwarden/clients/releases/download/desktop-v%{version}/Bitwarden-%{version}-amd64.deb

# extract data from the deb package
ar p $RPM_SOURCE_DIR/%{deb_package} data.tar.xz | xz -d -9 | tar x -C %buildroot

#replace desktop file
install -m 0644 %SOURCE0 %buildroot/%{_datadir}/applications/bitwarden.desktop

%clean
rm -rf %buildroot

%post
%update_menus

%postun
%clean_menus

%files
%defattr(-,root,root,-)
/opt/Bitwarden
%{_datadir}/applications/bitwarden.desktop
%{_datadir}/doc/bitwarden/changelog.gz
%{_datadir}/icons/hicolor/128x128/apps/bitwarden.png
%{_datadir}/icons/hicolor/16x16/apps/bitwarden.png
%{_datadir}/icons/hicolor/256x256/apps/bitwarden.png
%{_datadir}/icons/hicolor/32x32/apps/bitwarden.png
%{_datadir}/icons/hicolor/1024x1024/apps/bitwarden.png
%{_datadir}/icons/hicolor/512x512/apps/bitwarden.png
%{_datadir}/icons/hicolor/64x64/apps/bitwarden.png


%changelog
* Wed Apr 17 2024 tex - 2024.4.1-1pclos2024
- new version

* Thu Apr 11 2024 tex - 2024.4.0-1pclos2024
- new version

* Thu Apr 11 2024 tex - 2024.3.2-1pclos2024
- new version

* Thu Mar 07 2024 tex - 2024.2.1-1pclos2024
- new version

* Thu Feb 08 2024 tex - 2024.2.0-1pclos2024
- new version

* Thu Jan 11 2024 tex - 2024.1.0-1pclos2024
- new version

* Sun Dec 10 2023 tex - 2023.12.0-1pclos2023
- new version

* Sun Nov 12 2023 tex - 2023.10.1-1pclos2023
- new version

* Fri Oct 13 2023 tex - 2023.9.2-1pclos2023
- new version

* Thu Sep 21 2023 tex - 2023.9.0-1pclos2023
- new version

* Fri Sep 15 2023 tex - 2023.8.4-1pclos2023
- new version

* Thu Sep 07 2023 tex - 2023.8.3-1pclos2023
- new version

* Mon Aug 28 2023 tex - 2023.8.2-1pclos2023
- new version

* Thu Jul 27 2023 tex - 2023.7.1-1pclos2023
- new version

* Mon Jul 24 2023 tex - 2023.7.0-1pclos2023
- new version

* Thu Jun 01 2023 tex - 2023.5.0-1pclos2023
- new version

* Wed Apr 26 2023 tex - 2023.4.0-1pclos2023
- new version

* Wed Mar 29 2023 tex - 2023.3.1-1pclos2023
- new version

* Thu Mar 23 2023 tex - 2023.3.0-1pclos2023
- new version

* Sat Feb 18 2023 tex - 2023.2.0-1pclos2023
- new version

* Fri Jan 20 2023 tex - 2023.1.1-1pclos2023
- new version

* Wed Jan 11 2023 tex - 2023.1.0-1pclos2023
- new version

* Fri Oct 21 2022 tex - 2022.10.1-1pclos2022
- new version

* Sun Oct 16 2022 tex - 2022.10.0-1pclos2022
- new version

* Tue Sep 27 2022 tex - 2022.9.1-1pclos2022
- new version

* Mon Sep 12 2022 tex - 2022.9.0-1pclos2022
- new version

* Fri Aug 12 2022 tex - 2022.8.1-1pclos2022
- new version

* Fri Jun 10 2022 tex - 1.33.0-1pclos2022
- new version

* Mon Mar 21 2022 tex - 1.32.0-1pclos2022
- new version

* Tue Mar 01 2022 tex - 1.31.3-1pclos2022
- new version

* Tue Feb 15 2022 tex - 1.31.2-1pclos2022
- new version

* Wed Dec 08 2021 tex - 1.30.0-1pclos2021
- new version

* Fri Oct 29 2021 tex - 1.29.1-1pclos2021
- new version

* Thu Oct 28 2021 tex - 1.29.0-1pclos2021
- new version

* Wed May 26 2021 tex - 1.26.4-1pclos2021
- new version

* Fri Mar 19 2021 tex - 1.25.1-1pclos2021
- new version

* Fri Feb 19 2021 tex - 1.24.6-1pclos2021
- new version

* Sat Oct 24 2020 tex - 1.22.2-1pclos2020
- new version

* Sun Sep 20 2020 tex - 1.22.1-1pclos2020
- new version

* Sun Aug 02 2020 tex - 1.20.0-1pclos2020
- new version

* Sun May 24 2020 tex - 1.17.2-1pclos2020
- new version

* Thu Oct 24 2019 tex - 1.16.6-1pclos2019
- new version

* Sun Sep 08 2019 tex - 1.15.2-1pclos2019
- new version

* Mon Apr 01 2019 tex 1.14.0-1pclos2019
- new
